function [smoothed, thresholds] = sizerPrep(inten, thresholds, infinity)

if nargin < 3,
   infinity = 1000;
end
if nargin < 2,
   thresholds = 4:100;
end
thresholds = [thresholds infinity];

spectrum = pad(inten, 10); % pad spectrum to a multiple of a power of 2
[xl xh] = mrdwt(spectrum, daubcqf(8), 10); % do the wavelet transofrm
mah = median(abs(xh))/0.67; % compute the MAD estimate of SD

% use a bunch of different thresholds, and transform back
nt = length(thresholds);
smoothed = repmat(spectrum, [nt 1]);
for i = 1:nt,
   x = HardTh(xh, mah*thresholds(i));
   smoothed(i,:) = mirdwt(xl, x, daubcqf(8), 10);
end

% remove the excess padding
smoothed = smoothed(:, 1:length(inten));

